pcl::registration::CorrespondenceRejectorOneToOne Class Reference
Module registration

CorrespondenceRejectorOneToOne implements a correspondence rejection method based on eliminating duplicate match indices in the correspondences. More...

`#include <pcl/registration/correspondence_rejection_one_to_one.h>`

Inheritance diagram for pcl::registration::CorrespondenceRejectorOneToOne:

## Public Types

using | Ptr = shared_ptr< CorrespondenceRejectorOneToOne >
using | ConstPtr = shared_ptr< const CorrespondenceRejectorOneToOne >
Public Types inherited from pcl::registration::CorrespondenceRejector
using | Ptr = shared_ptr< CorrespondenceRejector >
using | ConstPtr = shared_ptr< const CorrespondenceRejector >

## Public Member Functions

| CorrespondenceRejectorOneToOne ()
| Empty constructor. More...
void | getRemainingCorrespondences (const pcl::Correspondences &original_correspondences, pcl::Correspondences &remaining_correspondences) override
| Get a list of valid correspondences after rejection from the original set of correspondences. More...
Public Member Functions inherited from pcl::registration::CorrespondenceRejector
| CorrespondenceRejector ()
| Empty constructor. More...
virtual | ~CorrespondenceRejector ()
| Empty destructor. More...
virtual void | setInputCorrespondences (const CorrespondencesConstPtr &correspondences)
| Provide a pointer to the vector of the input correspondences. More...
CorrespondencesConstPtr | getInputCorrespondences ()
| Get a pointer to the vector of the input correspondences. More...
void | getCorrespondences (pcl::Correspondences &correspondences)
| Run correspondence rejection. More...
void | getRejectedQueryIndices (const pcl::Correspondences &correspondences, std::vector< int > &indices)
| Determine the indices of query points of correspondences that have been rejected, i.e., the difference between the input correspondences (set via setInputCorrespondences) and the given correspondence vector. More...
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...
virtual bool | requiresSourcePoints () const
| See if this rejector requires source points. More...
virtual void | setSourcePoints (pcl::PCLPointCloud2::ConstPtr)
| Abstract method for setting the source cloud. More...
virtual bool | requiresSourceNormals () const
| See if this rejector requires source normals. More...
virtual void | setSourceNormals (pcl::PCLPointCloud2::ConstPtr)
| Abstract method for setting the source normals. More...
virtual bool | requiresTargetPoints () const
| See if this rejector requires a target cloud. More...
virtual void | setTargetPoints (pcl::PCLPointCloud2::ConstPtr)
| Abstract method for setting the target cloud. More...
virtual bool | requiresTargetNormals () const
| See if this rejector requires target normals. More...
virtual void | setTargetNormals (pcl::PCLPointCloud2::ConstPtr)
| Abstract method for setting the target normals. More...

## Protected Member Functions

void | applyRejection (pcl::Correspondences &correspondences) override
| Apply the rejection algorithm. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::registration::CorrespondenceRejector
std::string | rejection_name_
| The name of the rejection method. More...
CorrespondencesConstPtr | input_correspondences_
| The input correspondences. More...

## Detailed Description

CorrespondenceRejectorOneToOne implements a correspondence rejection method based on eliminating duplicate match indices in the correspondences.

Correspondences with the same match index are removed and only the one with smallest distance between query and match are kept. That is, considering match->query 1-m correspondences are removed leaving only 1-1 correspondences.

Author
  Dirk Holz

Definition at line 58 of file correspondence_rejection_one_to_one.h.

## Member Typedef Documentation

## ConstPtr

using pcl::registration::CorrespondenceRejectorOneToOne::ConstPtr = shared_ptr<const CorrespondenceRejectorOneToOne>

Definition at line 66 of file correspondence_rejection_one_to_one.h.

## Ptr

using pcl::registration::CorrespondenceRejectorOneToOne::Ptr = shared_ptr<CorrespondenceRejectorOneToOne>

Definition at line 65 of file correspondence_rejection_one_to_one.h.

## Constructor & Destructor Documentation

## CorrespondenceRejectorOneToOne()

pcl::registration::CorrespondenceRejectorOneToOne::CorrespondenceRejectorOneToOne | ( |  | ) |

inline

Empty constructor.

Definition at line 69 of file correspondence_rejection_one_to_one.h.

## Member Function Documentation

## applyRejection()

void pcl::registration::CorrespondenceRejectorOneToOne::applyRejection | ( | pcl::Correspondences & | correspondences | ) |

inline override protected virtual

Apply the rejection algorithm.

Parameters

  [out] | correspondences | the set of resultant correspondences.

Implements pcl::registration::CorrespondenceRejector.

Definition at line 87 of file correspondence_rejection_one_to_one.h.

## getRemainingCorrespondences()

void pcl::registration::CorrespondenceRejectorOneToOne::getRemainingCorrespondences | ( | const pcl::Correspondences & | original_correspondences,
|  | pcl::Correspondences & | remaining_correspondences
| ) |  |

override virtual

Get a list of valid correspondences after rejection from the original set of correspondences.

Parameters

  [in] | original_correspondences | the set of initial correspondences given
  [out] | remaining_correspondences | the resultant filtered set of remaining correspondences

Implements pcl::registration::CorrespondenceRejector.

The documentation for this class was generated from the following file:

- pcl/registration/correspondence_rejection_one_to_one.h